Game code.
- Grant entitlement (admin)
Catalog API (2.0.0)
- Version: 2.0.0
- Servers:
https://store.xsolla.com/api - Contact Us by Email
- Contact URL: https://xsolla.com/
- Required TLS version: 1.2
The Catalog API allows you to configure a catalog of in-game items on the Xsolla side and display the catalog to users in your store.
The API allows you to manage the following catalog entities:
- Virtual items — in-game items such as weapons, skins, boosters.
- Virtual currency — virtual money used to purchase virtual goods.
- Virtual currency packages — predefined bundles of virtual currency.
- Bundles — combined packages of virtual items, currency, or game keys sold as a single SKU.
- Game keys — keys for games and DLCs distributed via platforms like Steam or other DRM providers.
- Groups — logical groupings for organizing and sorting items within the catalog.
The API is divided into the following groups:
Admin — calls for creating, updating, deleting, and configuring catalog items and groups. Authenticated via basic access authentication with your merchant or project credentials. Not intended for storefront use.Catalog — calls for retrieving items and building custom storefronts for end users. Designed to handle high-load scenarios. Support optional user JWT authorization to return personalized data such as user-specific limits and active promotions.
Project ID. You can find this parameter in your Publisher Account next to the name of the project.
- https://store.xsolla.com/api/v2/project/{project_id}/entitlement/redeem
- Mock serverhttps://xsolla.redocly.app/_mock/api/catalog/v2/project/{project_id}/entitlement/redeem
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://store.xsolla.com/api/v2/project/44056/entitlement/redeem \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"code": "AAAA-BBBB-CCCC-DDDD",
"sandbox": false
}'Project ID. You can find this parameter in your Publisher Account next to the name of the project.
Object with game properties.
Object with DRM properties.
What type of entitlements should be granted. If the parameter is set to sandbox, the entitlement will be granted to the user in the sandbox mode. If the parameter is set to default, the entitlement will be granted to the user in the live mode.
- https://store.xsolla.com/api/v2/project/{project_id}/admin/entitlement/grant
- Mock serverhttps://xsolla.redocly.app/_mock/api/catalog/v2/project/{project_id}/admin/entitlement/grant
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://store.xsolla.com/api/v2/project/44056/admin/entitlement/grant \
-H 'Content-Type: application/json' \
-d '{
"user_external_id": "user-external-id",
"game": {
"sku": "com.xsolla.game_1"
},
"drm": {
"sku": "com.xsolla.key_1"
},
"code": "AAAA-BBBB-CCCC-DDDD",
"mode": "default",
"user_country": "US"
}'Project ID. You can find this parameter in your Publisher Account next to the name of the project.
Object with game properties.
Object with DRM properties.
What type of entitlements should be revoked. If the parameter is set to sandbox, the entitlement will be revoked from the user in the sandbox mode. If the parameter is set to default, the entitlement will be revoked from the user in the live mode.
- https://store.xsolla.com/api/v2/project/{project_id}/admin/entitlement/revoke
- Mock serverhttps://xsolla.redocly.app/_mock/api/catalog/v2/project/{project_id}/admin/entitlement/revoke
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://store.xsolla.com/api/v2/project/44056/admin/entitlement/revoke \
-H 'Content-Type: application/json' \
-d '{
"user_external_id": "user-external-id",
"game": {
"sku": "com.xsolla.game_1"
},
"drm": {
"sku": "com.xsolla.key_1"
},
"mode": "default"
}'